# ContainedButton

## propTypes

```
ContainedButton.propTypes = {
    buttonType: PropTypes.string,
    id: PropTypes.string,
    inactive: PropTypes.bool,
    label: PropTypes.string,
    onClick: PropTypes.func,
    subClass: PropTypes.string
};
```

## defaultProps

```
ContainedButton.defaultProps = {
    buttonType: 'primary',
    id: `tsdevButtonContained-${Uuid.v4()}`,
    inactive: false,
    label: 'Contained',
    onClick: noop,
    subClass: ''
};
```
## Functions
```
onClick(obj) => {
    // obj-example
    <!-- buttonType: "primary"
    id: "tsdevButtonContained-20e687b8-809a-4a01-9663-4809cb7fc38e"
    inactive: false
    label: "Contained"
    subClass: "" -->
};
```